Ciele
Wissen

Add a Source: JSON text/url, or multipart file

POST/api/v1/collections/{id}/sources

Erfordert einen API-Schlüssel der Organisation mit der Berechtigung „edit“. Geben Sie einen Idempotency-Key an, wenn Sie dieselbe Anfrage erneut versuchen.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key?string

Verwenden Sie denselben Wert nur dann erneut, wenn Sie dieselbe logische Operation wiederholen.

Request Body

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/collections/string/sources" \  -H "Content-Type: application/json" \  -d '{    "kind": "text",    "text": "string"  }'
{  "id": "string",  "collectionId": "string",  "name": "string",  "kind": "file",  "status": "error",  "createdAt": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}